ch.qos.logback.core.spi

## Class CyclicBufferTracker<E>

- java.lang.Object
- - ch.qos.logback.core.spi.AbstractComponentTracker<CyclicBuffer<E>>
  - - ch.qos.logback.core.spi.CyclicBufferTracker<E>

All Implemented Interfaces:
  ComponentTracker<CyclicBuffer<E>>

    public class CyclicBufferTracker<E>
    extends AbstractComponentTracker<CyclicBuffer<E>>

CyclicBufferTracker tracks `CyclicBuffer` instances.

Author:
  Ceki Gücü

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.AbstractComponentTracker

`LINGERING_TIMEOUT, maxComponents, timeout, WAIT_BETWEEN_SUCCESSIVE_REMOVAL_ITERATIONS`

### Fields inherited from interface ch.qos.logback.core.spi.ComponentTracker

`DEFAULT_MAX_COMPONENTS, DEFAULT_TIMEOUT`

### Constructor Summary

Constructors
Constructor and Description
`CyclicBufferTracker()`

### Method Summary

Methods
`protected CyclicBuffer<E>` `buildComponent(java.lang.String key)` Build a component based on the key.
`int` `getBufferSize()`
`protected boolean` `isComponentStale(CyclicBuffer<E> eCyclicBuffer)` Components can declare themselves stale.
`protected void` `processPriorToRemoval(CyclicBuffer<E> component)` Stop or clean the component.
`void` `setBufferSize(int bufferSize)`

### Methods inherited from class ch.qos.logback.core.spi.AbstractComponentTracker

`allComponents, allKeys, endOfLife, find, getComponentCount, getMaxComponents, getOrCreate, getTimeout, removeStaleComponents, setMaxComponents, setTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CyclicBufferTracker

    public CyclicBufferTracker()

### Method Detail

#### getBufferSize

    public int getBufferSize()

#### setBufferSize

    public void setBufferSize(int bufferSize)

#### processPriorToRemoval

    protected void processPriorToRemoval(CyclicBuffer<E> component)

Description copied from class: `AbstractComponentTracker`
Stop or clean the component.

Specified by:
  `processPriorToRemoval` in class `AbstractComponentTracker<CyclicBuffer<E>>`

#### buildComponent

    protected CyclicBuffer<E> buildComponent(java.lang.String key)

Description copied from class: `AbstractComponentTracker`
Build a component based on the key.

Specified by:
  `buildComponent` in class `AbstractComponentTracker<CyclicBuffer<E>>`
Returns:

#### isComponentStale

    protected boolean isComponentStale(CyclicBuffer<E> eCyclicBuffer)

Description copied from class: `AbstractComponentTracker`
Components can declare themselves stale. Such components may be removed before they time out.

Specified by:
  `isComponentStale` in class `AbstractComponentTracker<CyclicBuffer<E>>`
Returns: